Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.ebxml._2._1.query.impl
Class QueryFactoryImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.emf.ecore.impl.FlatEObjectImpl
                      org.eclipse.emf.ecore.impl.EModelElementImpl
                          org.eclipse.emf.ecore.impl.EFactoryImpl
                              org.eclipse.ohf.ihe.common.ebxml._2._1.query.impl.QueryFactoryImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EFactory, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject, QueryFactory

    public class QueryFactoryImpl

extends org.eclipse.emf.ecore.impl.EFactoryImpl
implements QueryFactory

An implementation of the model Factory.

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`ELAST_EOBJECT_FLAG`

Fields inherited from interface org.eclipse.ohf.ihe.common.ebxml._2._1.query.QueryFactory
`eINSTANCE`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`QueryFactoryImpl()` Creates an instance of the factory.

Method Summary
`java.lang.String` | `convertConnectivePredicateTypeObjectToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` | `convertConnectivePredicateTypeToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` | `convertLogicalPredicateTypeObjectToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` | `convertLogicalPredicateTypeToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` | `convertReturnTypeTypeObjectToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` | `convertReturnTypeTypeToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` | `convertStringPredicateTypeObjectToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` | `convertStringPredicateTypeToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` | `convertToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
`org.eclipse.emf.ecore.EObject` | `create(org.eclipse.emf.ecore.EClass eClass)`
`AdhocQueryRequestType` | `createAdhocQueryRequestType()`
`AdhocQueryResponseType` | `createAdhocQueryResponseType()`
`AssociationBranchType` | `createAssociationBranchType()`
`AssociationQueryResultType` | `createAssociationQueryResultType()`
`AssociationQueryType` | `createAssociationQueryType()`
`AuditableEventQueryResultType` | `createAuditableEventQueryResultType()`
`AuditableEventQueryType` | `createAuditableEventQueryType()`
`BooleanClauseType` | `createBooleanClauseType()`
`ClassificationNodeQueryResultType` | `createClassificationNodeQueryResultType()`
`ClassificationNodeQueryType` | `createClassificationNodeQueryType()`
`ClassificationQueryResultType` | `createClassificationQueryResultType()`
`ClassificationQueryType` | `createClassificationQueryType()`
`ClassificationSchemeQueryResultType` | `createClassificationSchemeQueryResultType()`
`ClassificationSchemeQueryType` | `createClassificationSchemeQueryType()`
`ClassifiedByBranchType` | `createClassifiedByBranchType()`
`ClauseType` | `createClauseType()`
`CompoundClauseType` | `createCompoundClauseType()`
`ConnectivePredicateType` | `createConnectivePredicateTypeFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
`ConnectivePredicateType` | `createConnectivePredicateTypeObjectFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
`DocumentRoot` | `createDocumentRoot()`
`ExtrinsicObjectQueryResultType` | `createExtrinsicObjectQueryResultType()`
`ExtrinsicObjectQueryType` | `createExtrinsicObjectQueryType()`
`FilterQueryResultType` | `createFilterQueryResultType()`
`FilterQueryType` | `createFilterQueryType()`
`FilterType` | `createFilterType()`
`java.lang.Object` | `createFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
`GetContentRequestType` | `createGetContentRequestType()`
`GetContentResponseType` | `createGetContentResponseType()`
`InternationalStringBranchType` | `createInternationalStringBranchType()`
`LogicalPredicateType` | `createLogicalPredicateTypeFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
`LogicalPredicateType` | `createLogicalPredicateTypeObjectFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
`OrganizationQueryResultType` | `createOrganizationQueryResultType()`
`OrganizationQueryType` | `createOrganizationQueryType()`
`RationalClauseType` | `createRationalClauseType()`
`RegistryEntryQueryResultType` | `createRegistryEntryQueryResultType()`
`RegistryEntryQueryType` | `createRegistryEntryQueryType()`
`RegistryObjectQueryType` | `createRegistryObjectQueryType()`
`RegistryPackageQueryResultType` | `createRegistryPackageQueryResultType()`
`RegistryPackageQueryType` | `createRegistryPackageQueryType()`
`ResponseOptionType` | `createResponseOptionType()`
`ReturnTypeType` | `createReturnTypeTypeFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
`ReturnTypeType` | `createReturnTypeTypeObjectFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
`ServiceBindingBranchType` | `createServiceBindingBranchType()`
`ServiceQueryResultType` | `createServiceQueryResultType()`
`ServiceQueryType` | `createServiceQueryType()`
`SimpleClauseType` | `createSimpleClauseType()`
`SlotBranchType` | `createSlotBranchType()`
`SpecificationLinkBranchType` | `createSpecificationLinkBranchType()`
`StringClauseType` | `createStringClauseType()`
`StringPredicateType` | `createStringPredicateTypeFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
`StringPredicateType` | `createStringPredicateTypeObjectFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
`UserBranchType` | `createUserBranchType()`
`static QueryPackage` | `getPackage()` Deprecated.
`QueryPackage` | `getQueryPackage()`
`static QueryFactory` | `init()` Creates the default factory implementation.

Methods inherited from class org.eclipse.emf.ecore.impl.EFactoryImpl
`basicSetEPackage, eGet, eInverseAdd, eInverseRemove, eIsSet, eSet, eUnset, getEPackage, setEPackage`

Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eObjectForURIFragmentSegment, eURIFragmentSegment, getEAnnotation, getEAnnotations`

Methods inherited from class org.eclipse.emf.ecore.impl.FlatEObjectImpl
`eContents, eCrossReferences, eIsProxy, eProxyURI, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eSetClass, eSetDeliver`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset, toString`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EFactory
`getEPackage, setEPackage`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Constructor Detail

### QueryFactoryImpl

    public QueryFactoryImpl()

  Creates an instance of the factory.

Method Detail

### init

    public static QueryFactory init()

  Creates the default factory implementation.

### create

    public org.eclipse.emf.ecore.EObject create(org.eclipse.emf.ecore.EClass eClass)

  Specified by:
    `create` in interface `org.eclipse.emf.ecore.EFactory`
  Overrides:
    `create` in class `org.eclipse.emf.ecore.impl.EFactoryImpl`

### createFromString

    public java.lang.Object createFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                             java.lang.String initialValue)

  Specified by:
    `createFromString` in interface `org.eclipse.emf.ecore.EFactory`
  Overrides:
    `createFromString` in class `org.eclipse.emf.ecore.impl.EFactoryImpl`

### convertToString

    public java.lang.String convertToString(org.eclipse.emf.ecore.EDataType eDataType,
                                            java.lang.Object instanceValue)

  Specified by:
    `convertToString` in interface `org.eclipse.emf.ecore.EFactory`
  Overrides:
    `convertToString` in class `org.eclipse.emf.ecore.impl.EFactoryImpl`

### createAdhocQueryRequestType

    public AdhocQueryRequestType createAdhocQueryRequestType()

  Specified by:
    `createAdhocQueryRequestType` in interface `QueryFactory`
  Returns:
    a new object of class 'Adhoc Query Request Type'.

### createAdhocQueryResponseType

    public AdhocQueryResponseType createAdhocQueryResponseType()

  Specified by:
    `createAdhocQueryResponseType` in interface `QueryFactory`
  Returns:
    a new object of class 'Adhoc Query Response Type'.

### createAssociationBranchType

    public AssociationBranchType createAssociationBranchType()

  Specified by:
    `createAssociationBranchType` in interface `QueryFactory`
  Returns:
    a new object of class 'Association Branch Type'.

### createAssociationQueryResultType

    public AssociationQueryResultType createAssociationQueryResultType()

  Specified by:
    `createAssociationQueryResultType` in interface `QueryFactory`
  Returns:
    a new object of class 'Association Query Result Type'.

### createAssociationQueryType

    public AssociationQueryType createAssociationQueryType()

  Specified by:
    `createAssociationQueryType` in interface `QueryFactory`
  Returns:
    a new object of class 'Association Query Type'.

### createAuditableEventQueryResultType

    public AuditableEventQueryResultType createAuditableEventQueryResultType()

  Specified by:
    `createAuditableEventQueryResultType` in interface `QueryFactory`
  Returns:
    a new object of class 'Auditable Event Query Result Type'.

### createAuditableEventQueryType

    public AuditableEventQueryType createAuditableEventQueryType()

  Specified by:
    `createAuditableEventQueryType` in interface `QueryFactory`
  Returns:
    a new object of class 'Auditable Event Query Type'.

### createBooleanClauseType

    public BooleanClauseType createBooleanClauseType()

  Specified by:
    `createBooleanClauseType` in interface `QueryFactory`
  Returns:
    a new object of class 'Boolean Clause Type'.

### createClassificationNodeQueryResultType

    public ClassificationNodeQueryResultType createClassificationNodeQueryResultType()

  Specified by:
    `createClassificationNodeQueryResultType` in interface `QueryFactory`
  Returns:
    a new object of class 'Classification Node Query Result Type'.

### createClassificationNodeQueryType

    public ClassificationNodeQueryType createClassificationNodeQueryType()

  Specified by:
    `createClassificationNodeQueryType` in interface `QueryFactory`
  Returns:
    a new object of class 'Classification Node Query Type'.

### createClassificationQueryResultType

    public ClassificationQueryResultType createClassificationQueryResultType()

  Specified by:
    `createClassificationQueryResultType` in interface `QueryFactory`
  Returns:
    a new object of class 'Classification Query Result Type'.

### createClassificationQueryType

    public ClassificationQueryType createClassificationQueryType()

  Specified by:
    `createClassificationQueryType` in interface `QueryFactory`
  Returns:
    a new object of class 'Classification Query Type'.

### createClassificationSchemeQueryResultType

    public ClassificationSchemeQueryResultType createClassificationSchemeQueryResultType()

  Specified by:
    `createClassificationSchemeQueryResultType` in interface `QueryFactory`
  Returns:
    a new object of class 'Classification Scheme Query Result Type'.

### createClassificationSchemeQueryType

    public ClassificationSchemeQueryType createClassificationSchemeQueryType()

  Specified by:
    `createClassificationSchemeQueryType` in interface `QueryFactory`
  Returns:
    a new object of class 'Classification Scheme Query Type'.

### createClassifiedByBranchType

    public ClassifiedByBranchType createClassifiedByBranchType()

  Specified by:
    `createClassifiedByBranchType` in interface `QueryFactory`
  Returns:
    a new object of class 'Classified By Branch Type'.

### createClauseType

    public ClauseType createClauseType()

  Specified by:
    `createClauseType` in interface `QueryFactory`
  Returns:
    a new object of class 'Clause Type'.

### createCompoundClauseType

    public CompoundClauseType createCompoundClauseType()

  Specified by:
    `createCompoundClauseType` in interface `QueryFactory`
  Returns:
    a new object of class 'Compound Clause Type'.

### createDocumentRoot

    public DocumentRoot createDocumentRoot()

  Specified by:
    `createDocumentRoot` in interface `QueryFactory`
  Returns:
    a new object of class 'Document Root'.

### createExtrinsicObjectQueryResultType

    public ExtrinsicObjectQueryResultType createExtrinsicObjectQueryResultType()

  Specified by:
    `createExtrinsicObjectQueryResultType` in interface `QueryFactory`
  Returns:
    a new object of class 'Extrinsic Object Query Result Type'.

### createExtrinsicObjectQueryType

    public ExtrinsicObjectQueryType createExtrinsicObjectQueryType()

  Specified by:
    `createExtrinsicObjectQueryType` in interface `QueryFactory`
  Returns:
    a new object of class 'Extrinsic Object Query Type'.

### createFilterQueryResultType

    public FilterQueryResultType createFilterQueryResultType()

  Specified by:
    `createFilterQueryResultType` in interface `QueryFactory`
  Returns:
    a new object of class 'Filter Query Result Type'.

### createFilterQueryType

    public FilterQueryType createFilterQueryType()

  Specified by:
    `createFilterQueryType` in interface `QueryFactory`
  Returns:
    a new object of class 'Filter Query Type'.

### createFilterType

    public FilterType createFilterType()

  Specified by:
    `createFilterType` in interface `QueryFactory`
  Returns:
    a new object of class 'Filter Type'.

### createGetContentRequestType

    public GetContentRequestType createGetContentRequestType()

  Specified by:
    `createGetContentRequestType` in interface `QueryFactory`
  Returns:
    a new object of class 'Get Content Request Type'.

### createGetContentResponseType

    public GetContentResponseType createGetContentResponseType()

  Specified by:
    `createGetContentResponseType` in interface `QueryFactory`
  Returns:
    a new object of class 'Get Content Response Type'.

### createInternationalStringBranchType

    public InternationalStringBranchType createInternationalStringBranchType()

  Specified by:
    `createInternationalStringBranchType` in interface `QueryFactory`
  Returns:
    a new object of class 'International String Branch Type'.

### createOrganizationQueryResultType

    public OrganizationQueryResultType createOrganizationQueryResultType()

  Specified by:
    `createOrganizationQueryResultType` in interface `QueryFactory`
  Returns:
    a new object of class 'Organization Query Result Type'.

### createOrganizationQueryType

    public OrganizationQueryType createOrganizationQueryType()

  Specified by:
    `createOrganizationQueryType` in interface `QueryFactory`
  Returns:
    a new object of class 'Organization Query Type'.

### createRationalClauseType

    public RationalClauseType createRationalClauseType()

  Specified by:
    `createRationalClauseType` in interface `QueryFactory`
  Returns:
    a new object of class 'Rational Clause Type'.

### createRegistryEntryQueryResultType

    public RegistryEntryQueryResultType createRegistryEntryQueryResultType()

  Specified by:
    `createRegistryEntryQueryResultType` in interface `QueryFactory`
  Returns:
    a new object of class 'Registry Entry Query Result Type'.

### createRegistryEntryQueryType

    public RegistryEntryQueryType createRegistryEntryQueryType()

  Specified by:
    `createRegistryEntryQueryType` in interface `QueryFactory`
  Returns:
    a new object of class 'Registry Entry Query Type'.

### createRegistryObjectQueryType

    public RegistryObjectQueryType createRegistryObjectQueryType()

  Specified by:
    `createRegistryObjectQueryType` in interface `QueryFactory`
  Returns:
    a new object of class 'Registry Object Query Type'.

### createRegistryPackageQueryResultType

    public RegistryPackageQueryResultType createRegistryPackageQueryResultType()

  Specified by:
    `createRegistryPackageQueryResultType` in interface `QueryFactory`
  Returns:
    a new object of class 'Registry Package Query Result Type'.

### createRegistryPackageQueryType

    public RegistryPackageQueryType createRegistryPackageQueryType()

  Specified by:
    `createRegistryPackageQueryType` in interface `QueryFactory`
  Returns:
    a new object of class 'Registry Package Query Type'.

### createResponseOptionType

    public ResponseOptionType createResponseOptionType()

  Specified by:
    `createResponseOptionType` in interface `QueryFactory`
  Returns:
    a new object of class 'Response Option Type'.

### createServiceBindingBranchType

    public ServiceBindingBranchType createServiceBindingBranchType()

  Specified by:
    `createServiceBindingBranchType` in interface `QueryFactory`
  Returns:
    a new object of class 'Service Binding Branch Type'.

### createServiceQueryResultType

    public ServiceQueryResultType createServiceQueryResultType()

  Specified by:
    `createServiceQueryResultType` in interface `QueryFactory`
  Returns:
    a new object of class 'Service Query Result Type'.

### createServiceQueryType

    public ServiceQueryType createServiceQueryType()

  Specified by:
    `createServiceQueryType` in interface `QueryFactory`
  Returns:
    a new object of class 'Service Query Type'.

### createSimpleClauseType

    public SimpleClauseType createSimpleClauseType()

  Specified by:
    `createSimpleClauseType` in interface `QueryFactory`
  Returns:
    a new object of class 'Simple Clause Type'.

### createSlotBranchType

    public SlotBranchType createSlotBranchType()

  Specified by:
    `createSlotBranchType` in interface `QueryFactory`
  Returns:
    a new object of class 'Slot Branch Type'.

### createSpecificationLinkBranchType

    public SpecificationLinkBranchType createSpecificationLinkBranchType()

  Specified by:
    `createSpecificationLinkBranchType` in interface `QueryFactory`
  Returns:
    a new object of class 'Specification Link Branch Type'.

### createStringClauseType

    public StringClauseType createStringClauseType()

  Specified by:
    `createStringClauseType` in interface `QueryFactory`
  Returns:
    a new object of class 'String Clause Type'.

### createUserBranchType

    public UserBranchType createUserBranchType()

  Specified by:
    `createUserBranchType` in interface `QueryFactory`
  Returns:
    a new object of class 'User Branch Type'.

### createConnectivePredicateTypeFromString

    public ConnectivePredicateType createConnectivePredicateTypeFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                                                           java.lang.String initialValue)

### convertConnectivePredicateTypeToString

    public java.lang.String convertConnectivePredicateTypeToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                                   java.lang.Object instanceValue)

### createLogicalPredicateTypeFromString

    public LogicalPredicateType createLogicalPredicateTypeFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                                                     java.lang.String initialValue)

### convertLogicalPredicateTypeToString

    public java.lang.String convertLogicalPredicateTypeToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                                java.lang.Object instanceValue)

### createReturnTypeTypeFromString

    public ReturnTypeType createReturnTypeTypeFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                                         java.lang.String initialValue)

### convertReturnTypeTypeToString

    public java.lang.String convertReturnTypeTypeToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                          java.lang.Object instanceValue)

### createStringPredicateTypeFromString

    public StringPredicateType createStringPredicateTypeFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                                                   java.lang.String initialValue)

### convertStringPredicateTypeToString

    public java.lang.String convertStringPredicateTypeToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                               java.lang.Object instanceValue)

### createConnectivePredicateTypeObjectFromString

    public ConnectivePredicateType createConnectivePredicateTypeObjectFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                                                                 java.lang.String initialValue)

### convertConnectivePredicateTypeObjectToString

    public java.lang.String convertConnectivePredicateTypeObjectToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                                         java.lang.Object instanceValue)

### createLogicalPredicateTypeObjectFromString

    public LogicalPredicateType createLogicalPredicateTypeObjectFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                                                           java.lang.String initialValue)

### convertLogicalPredicateTypeObjectToString

    public java.lang.String convertLogicalPredicateTypeObjectToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                                      java.lang.Object instanceValue)

### createReturnTypeTypeObjectFromString

    public ReturnTypeType createReturnTypeTypeObjectFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                                               java.lang.String initialValue)

### convertReturnTypeTypeObjectToString

    public java.lang.String convertReturnTypeTypeObjectToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                                java.lang.Object instanceValue)

### createStringPredicateTypeObjectFromString

    public StringPredicateType createStringPredicateTypeObjectFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                                                         java.lang.String initialValue)

### convertStringPredicateTypeObjectToString

    public java.lang.String convertStringPredicateTypeObjectToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                                     java.lang.Object instanceValue)

### getQueryPackage

    public QueryPackage getQueryPackage()

  Specified by:
    `getQueryPackage` in interface `QueryFactory`
  Returns:
    the package supported by this factory.

### getPackage

    public static QueryPackage getPackage()

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD